Method: advertisers.targetingTypes.assignedTargetingOptions.create
Stay organized with collections
Save and categorize content based on your preferences.
Page Summary
This method assigns a targeting option to a specific advertiser.
The request uses a POST HTTP method and includes the advertiser ID and targeting type in the URL path.
The request and response bodies contain an instance of AssignedTargetingOption.
Authorization requires the https://www.googleapis.com/auth/display-video OAuth scope.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2024-09-18 UTC."],[],["This API endpoint uses a POST request to assign a targeting option to an advertiser. The URL requires `advertiserId` and `targetingType` path parameters. Supported `targetingType` values include `CHANNEL`, `DIGITAL_CONTENT_LABEL_EXCLUSION`, `OMID`, and `SENSITIVE_CATEGORY_EXCLUSION`. The request body must contain an `AssignedTargetingOption`. A successful request returns a newly created `AssignedTargetingOption`. The operation requires the `https://www.googleapis.com/auth/display-video` authorization scope.\n"]]